unit UnitInitialize;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin,wclock;

type
  TFormInitialize = class(TForm)
    GroupBoxTime: TGroupBox;
    LabelTime: TLabel;
    SpinEditHour: TSpinEdit;
    SpinEditMinute: TSpinEdit;
    SpinEditSecond: TSpinEdit;
    GroupBoxBoard: TGroupBox;
    GroupBoxCharacter: TGroupBox;
    CheckBoxDividedColor: TCheckBox;
    CheckBoxHourAssist: TCheckBox;
    RadioGroupBoardCharacterHour: TRadioGroup;
    RadioGroupBoardCharacterMinute: TRadioGroup;
    RadioGroupScale: TRadioGroup;
    ButtonFormInitializeClose: TButton;
    ColorDialogHour: TColorDialog;
    ColorDialogMinute: TColorDialog;
    ColorDialogSecond: TColorDialog;
    ColorDialogBoardFontColorHour: TColorDialog;
    ColorDialogBoardFontColorMinute: TColorDialog;
    ColorDialogBoardCharacterHourAssist: TColorDialog;
    GroupBoxFontSize: TGroupBox;
    LabelFontSizeHour: TLabel;
    LabelFontSizeMinute: TLabel;
    LabelFontSizeHourAssist: TLabel;
    SpinEditFontSizeHour: TSpinEdit;
    SpinEditFontSizeMinute: TSpinEdit;
    SpinEditFontSizeHourAssist: TSpinEdit;
    GroupBoxColor: TGroupBox;
    GroupBoxHandsColor: TGroupBox;
    ButtonHandHourColor: TButton;
    ButtonHandMinuteColor: TButton;
    ButtonhandSecondColor: TButton;
    GroupBoxColorCharacter: TGroupBox;
    ButtonCharacterHourColor: TButton;
    ButtonCharacterMinuterColor: TButton;
    ButtonBoardDividedColor: TButton;
    GroupBoxHands: TGroupBox;
    LabelLineWidthHand: TLabel;
    RadioGroupNeedleShape: TRadioGroup;
    CheckBoxHandsBrush: TCheckBox;
    CheckBoxShowHandSecond: TCheckBox;
    CheckBoxShowHandHour: TCheckBox;
    CheckBoxShowHandMinute: TCheckBox;
    SpinEditLineWidthHand: TSpinEdit;
    CheckBoxShowBoard: TCheckBox;
    procedure ButtonFormInitializeCloseClick(Sender: TObject);
    procedure SpinEditHourChange(Sender: TObject);
    procedure SpinEditMinuteChange(Sender: TObject);
    procedure SpinEditSecondChange(Sender: TObject);
    procedure RadioGroupNeedleShapeClick(Sender: TObject);
    procedure CheckBoxHandsBrushClick(Sender: TObject);
    procedure ButtonHandHourColorClick(Sender: TObject);
    procedure ButtonHandMinuteColorClick(Sender: TObject);
    procedure ButtonhandSecondColorClick(Sender: TObject);
    procedure CheckBoxShowHandSecondClick(Sender: TObject);
    procedure CheckBoxDividedColorClick(Sender: TObject);
    procedure CheckBoxHourAssistClick(Sender: TObject);
    procedure RadioGroupBoardCharacterHourClick(Sender: TObject);
    procedure RadioGroupBoardCharacterMinuteClick(Sender: TObject);
    procedure RadioGroupScaleClick(Sender: TObject);
    procedure CheckBoxShowHandMinuteClick(Sender: TObject);
    procedure CheckBoxShowHandHourClick(Sender: TObject);
    procedure ButtonCharacterHourColorClick(Sender: TObject);
    procedure ButtonCharacterMinuterColorClick(Sender: TObject);
    procedure ButtonBoardDividedColorClick(Sender: TObject);
    procedure SpinEditLineWidthHandChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpinEditFontSizeHourChange(Sender: TObject);
    procedure SpinEditFontSizeMinuteChange(Sender: TObject);
    procedure SpinEditFontSizeHourAssistChange(Sender: TObject);
    procedure CheckBoxShowBoardClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  FormInitialize: TFormInitialize;

implementation

uses UnitJikokuShitei208;

{$R *.DFM}

procedure TFormInitialize.ButtonFormInitializeCloseClick(Sender: TObject);
begin
  close;
end;

procedure TFormInitialize.SpinEditHourChange(Sender: TObject);
begin
  FormJikokuShitei208.WClock1.Time1Hour:= SpinEditHour.value;
end;

procedure TFormInitialize.SpinEditMinuteChange(Sender: TObject);
begin
  FormJikokuShitei208.WClock1.Time1Minute:= SpinEditMinute.value;
end;

procedure TFormInitialize.SpinEditSecondChange(Sender: TObject);
begin
  FormJikokuShitei208.WClock1.Time1Second:= SpinEditSecond.value;
end;

procedure TFormInitialize.RadioGroupNeedleShapeClick(Sender: TObject);
begin
  if RadioGroupNeedleShape.ItemIndex=0 then
  begin
    FormJikokuShitei208.WClock1.TypeHandsShape:= hsRound;
  end
  else
  begin
    FormJikokuShitei208.WClock1.TypeHandsShape:= hssharp;
  end;
end;

procedure TFormInitialize.CheckBoxHandsBrushClick(Sender: TObject);
begin
  if CheckBoxHandsBrush.checked=true then
  begin
    FormJikokuShitei208.WClock1.TypeHands1BrushStyle:= bsSolid;
  end
  else
  begin
    FormJikokuShitei208.WClock1.TypeHands1BrushStyle:= bsClear;
  end;
end;

procedure TFormInitialize.ButtonHandHourColorClick(Sender: TObject);
begin
  if not ColorDialogHour.execute then exit;
  FormJikokuShitei208.Wclock1.Hand1HourColor:= ColorDialogHour.Color;
end;

procedure TFormInitialize.ButtonHandMinuteColorClick(Sender: TObject);
begin
  if not ColorDialogMinute.execute then exit;
  FormJikokuShitei208.Wclock1.Hand1MinuteColor:= ColorDialogMinute.Color;
end;

procedure TFormInitialize.ButtonhandSecondColorClick(Sender: TObject);
begin
  if not ColorDialogSecond.execute then exit;
  FormJikokuShitei208.Wclock1.Hand1SecondColor:= ColorDialogSecond.Color;
end;

procedure TFormInitialize.CheckBoxShowHandSecondClick(Sender: TObject);
begin
  if CheckBoxShowHandSecond.Checked=true
  then FormJikokuShitei208.WClock1.TypeShowHandSecond:=shsShow
  else FormJikokuShitei208.WClock1.TypeShowHandSecond:=shsHide;
end;

procedure TFormInitialize.CheckBoxDividedColorClick(Sender: TObject);
begin
  if CheckBoxDividedColor.checked=true
  then
  begin
    FormJikokuShitei208.WClock1.TypeDividedColor:= dcYes;
  end
  else
  begin
    FormJikokuShitei208.WClock1.TypeDividedColor:= dcNo;
  end;
end;

procedure TFormInitialize.CheckBoxHourAssistClick(Sender: TObject);
begin
  if CheckBoxHourAssist.Checked=true
  then
  begin
    FormJikokuShitei208.WClock1.TypeDividedColor:=dcYes; FormJikokuShitei208.WClock1.TypeBoardCharacterHour:=bchAll; FormJikokuShitei208.WClock1.TypeBoardCharacterHourAssist:=bchaShow; FormJikokuShitei208.WClock1.TypeBoardScale:=bsAll;
    CheckBoxDividedColor.Checked:=true;
  end
  else
  begin
    FormJikokuShitei208.WClock1.TypeBoardCharacterHourAssist:=bchaHide;
  end;
end;

procedure TFormInitialize.RadioGroupBoardCharacterHourClick(Sender: TObject);
begin
  if RadioGroupBoardCharacterHour.ItemIndex<>0 then CheckBoxDividedColor.Checked:= false;
  case RadioGroupBoardCharacterHour.ItemIndex of
    0:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterHour:=bchAll;
      end;
    1:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterHour:=bchFour;
      end;
    2:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterHour:=bchNoon;
      end;
    3:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterHour:=bchNone;
      end;
  end;
end;

procedure TFormInitialize.RadioGroupBoardCharacterMinuteClick(Sender: TObject);
begin
  case RadioGroupBoardCharacterMinute.ItemIndex of
    0:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterMinute:= bcmAll;
      end;
    1:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterMinute:= bcmTwelve;
      end;
    2:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterMinute:= bcmSix;
      end;
    3:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterMinute:= bcmFour;
      end;
    4:begin
        FormJikokuShitei208.WClock1.TypeBoardCharacterMinute:= bcmNone;
      end;
  end;
end;

procedure TFormInitialize.RadioGroupScaleClick(Sender: TObject);
begin
  case RadioGroupScale.ItemIndex of
    0:begin
        FormJikokuShitei208.WClock1.TypeBoardScale:=bsAll;
      end;
    1:begin
        FormJikokuShitei208.WClock1.TypeBoardScale:=bsTwelve;
      end;
    2:begin
        FormJikokuShitei208.WClock1.TypeBoardScale:=bsFour;
      end;
    3:begin
        FormJikokuShitei208.WClock1.TypeBoardScale:=bsNone;
      end;
  end;
end;

procedure TFormInitialize.CheckBoxShowHandMinuteClick(Sender: TObject);
begin
  if CheckBoxShowHandMinute.Checked=true
  then FormJikokuShitei208.WClock1.TypeShowHandMinute:=shmShow
  else FormJikokuShitei208.WClock1.TypeShowHandMinute:=shmHide;
end;

procedure TFormInitialize.CheckBoxShowHandHourClick(Sender: TObject);
begin
  if CheckBoxShowHandHour.Checked=true
  then FormJikokuShitei208.WClock1.TypeShowHandHour:=shhShow
  else FormJikokuShitei208.WClock1.TypeShowHandHour:=shhHide;
end;

procedure TFormInitialize.ButtonCharacterHourColorClick(Sender: TObject);
begin
  if not ColorDialogBoardFontColorHour.execute then exit;
  FormJikokuShitei208.Wclock1.BoardFontColorHour:= ColorDialogBoardFontColorHour.Color;
end;

procedure TFormInitialize.ButtonCharacterMinuterColorClick(
  Sender: TObject);
begin
  if not ColorDialogBoardFontColorMinute.execute then exit;
  FormJikokuShitei208.Wclock1.BoardFontColorMinute:= ColorDialogBoardFontColorMinute.Color;
end;

procedure TFormInitialize.ButtonBoardDividedColorClick(Sender: TObject);
begin
  if not ColorDialogBoardCharacterHourAssist.execute then exit;
  FormJikokuShitei208.Wclock1.BoardDividedColor:= ColorDialogBoardCharacterHourAssist.Color;
end;

procedure TFormInitialize.SpinEditLineWidthHandChange(Sender: TObject);
begin
  FormJikokuShitei208.Wclock1.LineWidthHands1:= SpinEditLineWidthHand.Value;
end;

procedure TFormInitialize.FormCreate(Sender: TObject);
begin
  SpinEditFontSizeHour.Value:= FormJikokuShitei208.WClock1.BoardFontSizeHour;
  SpinEditFontSizeHourAssist.Value:= FormJikokuShitei208.WClock1.BoardFontSizeHourAssist;
  SpinEditFontSizeMinute.Value:= FormJikokuShitei208.WClock1.BoardFontSizeMinute;
end;

procedure TFormInitialize.SpinEditFontSizeHourChange(Sender: TObject);
begin
  FormJikokuShitei208.WClock1.BoardFontSizeHour:= SpinEditFontSizeHour.Value;
end;

procedure TFormInitialize.SpinEditFontSizeMinuteChange(Sender: TObject);
begin
  FormJikokuShitei208.WClock1.BoardFontSizeMinute:= SpinEditFontSizeMinute.Value;
end;

procedure TFormInitialize.SpinEditFontSizeHourAssistChange(
  Sender: TObject);
begin
  FormJikokuShitei208.WClock1.BoardFontSizeHourAssist:= SpinEditFontSizeHourAssist.Value;
end;

procedure TFormInitialize.CheckBoxShowBoardClick(Sender: TObject);
begin
  if CheckBoxShowBoard.Checked=true
  then
  begin
    FormJikokuShitei208.WClock1.TypeShowBoard:=sbShow;
  end
  else
  begin
    FormJikokuShitei208.WClock1.TypeShowBoard:=sbHide;
  end;
end;

end.
