//\Delphi\Component݌vJ\WClock\12\WClock.pas
unit WClock;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TTypeBoardCharacterHour=(bchNone,bchNoon,bchFour,bchSix,bchAll);     //Ղ̕[]\̌^ bchNone:Ȃ; bchNoon:12; bchFore:12,3,6,9;bchSix:12,2,4,6,8,10; bchAll:ׂĂ
  TTypeBoardCharacterHourAssist=(bchaHide,bchaShow);            //Ղ̕[]⏕̕\̌^ bchaHide:Ȃ,bchaShow:
  TTypeBoardCharacterMinute=(bcmNone,bcmFour,bcmSix,bcmTwelve,bcmAll); //Ղ̕[]\̌^ bcmNone:Ȃ; bcmFore:12,3,6,9̂Ƃ낾; bcmSix:12,2,4,6,8,10̂Ƃ낾; bcmTwelve:êƂ낾; bcmAll:ׂĂ
  TTypeBoardScale=(bsNone,bsNoon,bsFour,bsTwelve,bsAll); //Ղ̍ݕ\̌^ bsNone:݂Ȃ,bsNoon:12̂Ƃ낾; bsFour:3,6,9,12̂Ƃ낾; bsSixSiz:12,2,4,6,8,10̂Ƃ낾; bsTwelve:êƂ낾; bsAll:ׂĂ
  TTypeShowHandSecond=(shsShow,shsHide);                 //bj\̌^ shsShow:bjȂ; shsHide:bj
  TTypeShowHandMinute=(shmShow,shmHide);                 //j\̌^ shmShow:jȂ; shmHide:j
  TTypeShowHandHour=(shhShow,shhHide);                   //j\̌^ shhShow:jȂ; shhHide:j
  TTypeShowBoard=(sbShow,sbHide);                        //Ֆʕ\̌^ sbShow:ՖʂȂ; sbHide:Ֆʂ
  TTypeDividedColor=(dcYes,dcNo);                        //敪Fȟ^ dcYes:; dcNo:Ȃ
  TTypeHandsShape=(hsRound,hsSharp);                     //j`̌^ nsRound:; nsSharp:
  TTypeOverUnder=(ouOk,ouNo);                            //Eb̌ӂ̌^ ouOk:UOȏOȉ,ouNo:s
  TTypeHands2Show=(h2sShow,h2sHide);                     //jQ\̌^ h2sShow:\; h2sHide:\

  TWClock = class(TCustomControl)
  private
    { Private 錾 }
    px10,py10,px20,py20,px30,py30,px40,py40,px50,py50:integer;        //`󂪌̂Ƃ̍Wijj
    px11,py11,px21,py21,px31,py31,px41,py41,px51,py51:integer;        //`󂪌̂Ƃ̍Wijj
    rInner,rOuter: real;                                              //ڐ̓Oa
    RatioHand1Second,RatioHand1Minute,RatioHand1Hour,
    RatioHand2Second,RatioHand2Minute,RatioHand2Hour: real;           //bjAjAj̒̊iwidth/2Ƃ̔j
    sx,sy: real;                                                      //R|[lg̒SWƕՂ̒aƂ̍
    FWidthBorderLine: byte;                                           //E̕
    FWidthScaleNoon: byte;                                            //߂̐̕
    FWidthScale1Minutes: byte;                                        //P̐̕
    FWidthScale5Minutes: byte;                                        //T̐̕
    FWidthHand1Hour,FWidthHand2Hour: byte;                            //j̕
    FWidthHand1Minute,FWidthHand2Minute: byte;                        //j̕
    FWidthHand1Second,FWidthHand2Second: byte;                        //bj̕
    FLineWidthHands1: byte;                                           //jP̐̕
    FLineWidthHands2: byte;                                           //jQ̐̕
    ValueTextRect: TRect;                                             //̕`̈
    ValueText:string;                                                 //̓e
    FBoardFontSizeHour: byte;                                         //Ղ̕[]̃tHgTCY
    FBoardFontSizeHourAssist: byte;                                   //Ղ̕[]⏕̃tHgTCY
    FBoardFontSizeMinute: byte;                                       //Ղ̕[]̃tHgTCY
    FBoardFontColorHour: TColor;                                      //Ղ̕[]̃tHg̐F
    FBoardFontColorMinute: TColor;                                    //Ղ̕[]̃tHg̐F
    FBoardColor: TColor;                                              //Ղ̐F
    FBoardDividedColor: TColor;                                       //Ջ敪̐F
    FHand1HourColor: TColor;                                          //j1̐F
    FHand1HourBorderColor: TColor;                                    //j1E̐F
    FHand1MinuteColor: TColor;                                        //j1̐F
    FHand1MinuteBorderColor: TColor;                                  //j1E̐F
    FHand1SecondColor: TColor;                                        //bj1̐F
    FHand2HourColor: TColor;                                          //j2̐F
    FHand2HourBorderColor: TColor;                                    //j2E̐F
    FHand2MinuteColor: TColor;                                        //j2̐F
    FHand2MinuteBorderColor: TColor;                                  //j2E̐F
    FHand2SecondColor: TColor;                                        //bj2̐F
    FTypeBoardCharacterHour: TTypeBoardCharacterHour;                 //Ղ̕[]\̌^
    FTypeBoardCharacterHourAssist: TTypeBoardCharacterHourAssist;     //Ղ̕[]⏕̕\̌^
    FTypeBoardCharacterMinute: TTypeBoardCharacterMinute;             //Ղ̕[]\̌^
    FTypeBoardScale:     TTypeBoardScale;                             //Ղ̍ݕ\̌^
    FTypeShowBoard: TTypeShowBoard;                                   //Ֆʕ\̌^
    FTypeShowHandSecond: TTypeShowHandSecond;                         //bj\̌^
    FTypeShowHandMinute: TTypeShowHandMinute;                         //j\̌^
    FTypeShowHandHour: TTypeShowHandHour;                             //j\̌^
    FTypeHands2Show: TTypeHands2Show;                                 //j2\̌^
    FTypeDividedColor:   TTypeDividedColor;                           //敪Fȟ^
    FTypeHandsShape:     TTypeHandsShape;                             //j`̌^
    FTypeHands1BrushStyle:TBrushStyle;                       //jBrusȟ^
    FTypeHands2BrushStyle:TBrushStyle;                       //j2Brusȟ^
    FTypeOverUnder: TTypeOverUnder;                                   //Eb̌ӂ̌^
    FTime1Hour: integer;                                              //1
    FTime1Minute: integer;                                            //1
    FTime1Second: integer;                                            //b1
    FTime2Hour: integer;                                              //2
    FTime2Minute: integer;                                            //2
    FTime2Second: integer;                                            //b2
    FDiameter: integer;                                               //Ղ̒a
    FOnChange: TNotifyEvent;
    px0,py0,px1,py1:array [0..21] of integer;//j(ېj̍W@~̓΂20
    function  HalfAdjust(x: Extended): Longint;                       //ľܓ
    function xRotate(x0,y0:integer;t:real):integer;                   //ꎟϊɂ](x0,y0)vt[rad]]xW
    function yRotate(x0,y0:integer;t:real):integer;                   //ꎟϊɂ](x0,y0)vt[rad]]yW
    procedure SetDiameter(const Value: integer);                      //Ղ̒aݒ
    procedure SetBoardFontSizeHour(const Value: byte);                //Ղ̕[]̃tHgTCYݒ
    procedure SetBoardFontSizeHourAssist(const Value: byte);          //Ղ̕[]⏕̃tHgTCYݒ
    procedure SetBoardFontSizeMinute(const Value: byte);              //Ղ̕[]̃tHgTCYݒ
    procedure SetBoardFontColorHour(const Value: TColor);             //Ղ̕[]̃tHg̐Fݒ
    procedure SetBoardFontColorMinute(const Value: TColor);           //Ղ̕[]̃tHg̐Fݒ
    procedure SetBoardColor(const Value: TColor);                     //Ղ̐Fݒ
    procedure SetBoardDividedColor(const Value: TColor);              //Ջ敪̐Fݒ
    procedure SetHand1HourColor(const Value: TColor);                 //jP̐Fݒ
    procedure SetHand1HourBorderColor(const Value: TColor);           //jPE̐Fݒ
    procedure SetHand1MinuteColor(const Value: TColor);               //jP̐Fݒ
    procedure SetHand1MinuteBorderColor(const Value: TColor);         //jPE̐Fݒ
    procedure SetHand1SecondColor(const Value: TColor);               //bjP̐Fݒ
    procedure SetHand2HourColor(const Value: TColor);                 //jQ̐Fݒ
    procedure SetHand2HourBorderColor(const Value: TColor);           //jQE̐Fݒ
    procedure SetHand2MinuteColor(const Value: TColor);               //jQ̐Fݒ
    procedure SetHand2MinuteBorderColor(const Value: TColor);         //jQE̐Fݒ
    procedure SetHand2SecondColor(const Value: TColor);               //bjQ̐Fݒ
    procedure SetTime1Hour(const Value: Integer);                      //u1vݒ
    procedure SetTime1Minute(const Value: Integer);                    //u1vݒ
    procedure SetTime1Second(const Value: Integer);                    //ub1vݒ
    procedure SetTime2Hour(const Value: Integer);                      //u2vݒ
    procedure SetTime2Minute(const Value: Integer);                    //u2vݒ
    procedure SetTime2Second(const Value: Integer);                    //ub2vݒ
    procedure SetTypeBoardCharacterHour(const Value: TTypeBoardCharacterHour);//Ղ̕[]\̌^ݒ
    procedure SetTypeBoardCharacterHourAssist(const Value: TTypeBoardCharacterHourAssist);//Ղ̕[]⏕̕\̌^ݒ
    procedure SetTypeBoardCharacterMinute(const Value: TTypeBoardCharacterMinute);//Ղ̕[]\̌^ݒ
    procedure SetTypeBoardScale(const Value: TTypeBoardScale);        //Ղ̍ݕ\̌^ݒ
    procedure SetTypeShowboard(const Value: TTypeShowBoard);//Ֆʕ\̌^ݒ
    procedure SetTypeShowHandSecond(const Value: TTypeShowHandSecond);//bj\̌^ݒ
    procedure SetTypeShowHandMinute(const Value: TTypeShowHandMinute);//j\̌^ݒ
    procedure SetTypeShowHandHour(const Value: TTypeShowHandHour);//j\̌^ݒ
    procedure SetTypeHands2Show(const Value: TTypeHands2Show);//jQ\̌^ݒ
    procedure SetTypeDividedColor(const Value: TTypeDividedColor);    //敪Fȟ^ݒ
    procedure SetTypeHandsShape(const Value: TTypeHandsShape);        //j`̌^ݒ
    procedure SetTypeHands1BrushStyle(const Value: TBrushStyle); //j1Brusȟ^ݒ
    procedure SetTypeHands2BrushStyle(const Value: TBrushStyle);      //j2Brusȟ^ݒ
    procedure SetTypeOverUnder(const Value: TTypeOverUnder);//Eb̌ӂ̌^
    procedure SetWidthBorderLine(const Value: byte);                  //E̕ݒ
    procedure SetWidthScaleNoon(const Value: byte);                   //߂̐̕ݒ
    procedure SetWidthScale1Minutes(const Value: byte);               //P̐̕ݒ
    procedure SetWidthScale5Minutes(const Value: byte);               //T̐̕ݒ
    procedure SetWidthHand1Hour(const Value: byte);                    //j1̕ݒ
    procedure SetWidthHand1Minute(const Value: byte);                  //j1̕ݒ
    procedure SetWidthHand1Second(const Value: byte);                  //bj1̕ݒ
    procedure SetWidthHand2Hour(const Value: byte);                    //j2̕ݒ
    procedure SetWidthHand2Minute(const Value: byte);                  //j2̕ݒ
    procedure SetWidthHand2Second(const Value: byte);                  //bj2̕ݒ
    procedure SetLineWidthHands1(const Value: byte);                  //j1̐̕ݒ
    procedure SetLineWidthHands2(const Value: byte);                  //j2̐̕ݒ
  protected
    { Protected 錾 }
    procedure Change; virtual; // OnChangeCxg̃CxgfBXpb`
    procedure Paint; override; //`
    procedure Resize;override; //Rg[̃TCYύX
  public
    { Public 錾 }
    constructor Create(AOwner: TComponent); override;
  published
    { Published 錾 }
    property Color;       // Ղ̔wii~`jF
    property ParentColor; // eRg[F̌p
    property Time1Hour: Integer read FTime1Hour write SetTime1Hour default 0; // j̈ʒu(l)
    property Time1Minute: Integer read FTime1Minute write SetTime1Minute default 0; // j̈ʒu(l)
    property Time1Second: Integer read FTime1Second write SetTime1Second default 0; // bj̈ʒu(l)
    property Time2Hour: Integer read FTime2Hour write SetTime2Hour default 0; // j̈ʒu(l)
    property Time2Minute: Integer read FTime2Minute write SetTime2Minute default 0; // j̈ʒu(l)
    property Time2Second: Integer read FTime2Second write SetTime2Second default 0; // bj̈ʒu(l)
    property BoardFontSizeHour: byte read FBoardFontSizeHour write SetBoardFontSizeHour default 13;// Ղ̕[]̃tHgTCY
    property BoardFontSizeHourAssist: byte read FBoardFontSizeHourAssist write SetBoardFontSizeHourAssist default 6;// Ղ̕[]⏕̃tHgTCY
    property BoardFontSizeMinute: byte read FBoardFontSizeMinute write SetBoardFontSizeMinute default 4;// Ղ̕[]̃tHgTCY
    property BoardFontColorHour: TColor read FBoardFontColorHour write SetBoardFontColorHour default clBlack;// Ղ̕[]̃tHg̐F
    property BoardFontColorMinute: TColor read FBoardFontColorMinute write SetBoardFontColorMinute default clBlack;// Ղ̕[]̃tHg̐F
    property BoardColor: TColor read FBoardColor write SetBoardColor default clBtnFace;// Ձi`j̐F
    property BoardDividedColor: TColor read FBoardDividedColor write SetBoardDividedColor default clDkGray;// Ջ敪̐F
    property Hand1HourColor: TColor read FHand1HourColor write SetHand1HourColor default clRed;//jP̐F
    property Hand1HourBorderColor: TColor read FHand1HourBorderColor write SetHand1HourBorderColor default clRed;//jPE̐F
    property Hand1MinuteColor: TColor read FHand1MinuteColor write SetHand1MinuteColor default clBlack;//jP̐F
    property Hand1MinuteBorderColor: TColor read FHand1MinuteBorderColor write SetHand1MinuteBorderColor default clBlack;//jPE̐F
    property Hand1SecondColor: TColor read FHand1SecondColor write SetHand1SecondColor default clBlue;//bjP̐F
    property Hand2HourColor: TColor read FHand2HourColor write SetHand2HourColor default clYellow;//j2̐F
    property Hand2HourBorderColor: TColor read FHand2HourBorderColor write SetHand2HourBorderColor default clYellow;//j2E̐F
    property Hand2MinuteColor: TColor read FHand2MinuteColor write SetHand2MinuteColor default clGreen;//j2̐F
    property Hand2MinuteBorderColor: TColor read FHand2MinuteBorderColor write SetHand2MinuteBorderColor default clGreen;//j2E̐F
    property Hand2SecondColor: TColor read FHand2SecondColor write SetHand2SecondColor default clAqua;//bj2̐F
    property TypeBoardCharacterHour: TTypeBoardCharacterHour read FTypeBoardCharacterHour write SetTypeBoardCharacterHour default bchAll;//Ղ̕[]\̌^
    property TypeBoardCharacterHourAssist: TTypeBoardCharacterHourAssist read FTypeBoardCharacterHourAssist write SetTypeBoardCharacterHourAssist default bchaShow;//Ղ̕[]⏕\̌^
    property TypeBoardCharacterMinute: TTypeBoardCharacterMinute read FTypeBoardCharacterMinute write SetTypeBoardCharacterMinute default bcmTwelve;//Ղ̕[]\̌^
    property TypeBoardScale: TTypeBoardScale read FTypeBoardScale write SetTypeBoardScale default bsAll;//Ղ̍ݕ\̌^
    property TypeShowBoard: TTypeShowBoard read FTypeShowBoard write SetTypeShowBoard default sbShow;//Ֆʕ\̌^
    property TypeShowHandSecond: TTypeShowHandSecond read FTypeShowHandSecond write SetTypeShowHandSecond default shsHide;//bj\̌^
    property TypeShowHandMinute: TTypeShowHandMinute read FTypeShowHandMinute write SetTypeShowHandMinute default shmShow;//j\̌^
    property TypeShowHandHour: TTypeShowHandHour read FTypeShowHandHour write SetTypeShowHandHour default shhShow;//j\̌^
    property TypeHands2Show: TTypeHands2Show read FTypeHands2Show write SetTypeHands2Show default h2sHide;//jQ\̌^
    property TypeDividedColor: TTypeDividedColor read FTypeDividedColor write SetTypeDividedColor default dcYes;//敪Fȟ^
    property TypeHandsShape: TTypeHandsShape read FTypeHandsShape write SetTypeHandsShape default hsRound;//j`̌^
    property TypeHands1BrushStyle: TBrushStyle read FTypeHands1BrushStyle write SetTypeHands1BrushStyle default bsSolid;//j1Brusȟ^
    property TypeHands2BrushStyle: TBrushStyle read FTypeHands2BrushStyle write SetTypeHands2BrushStyle default bsClear;//j2Brusȟ^
    property TypeTypeOverUnder: TTypeOverUnder read FTypeOverUnder write SetTypeOverUnder default ouNo;//Eb̌ӂ̌^
    property WidthBorderLine: byte read FWidthBorderLine write SetWidthBorderLine default 1;//E̕
    property WidthScale1Minutes: byte read FWidthScale1Minutes write SetWidthScale1Minutes default 1;//P݂̍̕
    property WidthScale5Minutes: byte read FWidthScale5Minutes write SetWidthScale5Minutes default 3;//T݂̍̕
    property WidthScaleNoon: byte read FWidthScaleNoon write SetWidthScaleNoon default 5;            //PQ̂Ƃ̐̕
    property WidthHand1Hour: byte read FWidthHand1Hour write SetWidthHand1Hour default 8;            //j1̕
    property WidthHand1Minute: byte read FWidthHand1Minute write SetWidthHand1Minute default 5;      //j1̕
    property WidthHand1Second: byte read FWidthHand1Second write SetWidthHand1Second default 1;      //bj1̕
    property WidthHand2Hour: byte read FWidthHand2Hour write SetWidthHand2Hour default 8;            //j2̕
    property WidthHand2Minute: byte read FWidthHand2Minute write SetWidthHand2Minute default 5;      //j2̕
    property WidthHand2Second: byte read FWidthHand2Second write SetWidthHand2Second default 1;      //bj2̕
    property LineWidthHands1: byte read FLineWidthHands1 write SetLineWidthHands1 default 1;      //j1̐̕
    property LineWidthHands2: byte read FLineWidthHands2 write SetLineWidthHands2 default 1;      //j2̐̕
    property ShowHint;
    property OnChange: TNotifyEvent read FOnChange write FOnChange;
    property OnClick;
    property OnDblClick;
    property Diameter: Integer read FDiameter write SetDiameter default 200; // Ղ̒a
    property Align;
  end;

procedure Register;

implementation

function TWClock.HalfAdjust(x: Extended): Longint;
//ľܓ
begin
  if x >= 0 then Result := Trunc(x + 0.5)
  else Result := Trunc(x - 0.5);
end;

//ꎟϊ(]ړ)
function TWClock.xRotate(x0,y0:integer;t:real):integer;//(x0,y0)vt[rad]]xW
begin
  result:= HalfAdjust(rOuter-x0*cos(t)+y0*sin(t));
end;

function TWClock.yRotate(x0,y0:integer;t:real):integer;//(x0,y0)vt[rad]]yW
begin
  result:=HalfAdjust(rOuter-x0*sin(t)-y0*cos(t));
end;

procedure Register;
begin
  RegisterComponents('Samples', [TWClock]);
end;

constructor TWClock.Create(AOwner: TComponent);
// RXgN^
begin
  inherited Create(AOwner);
//ʂ鏔̏
  FDiameter:=200;
  FWidthBorderLine:=1;//round(FDiameter /160);
  FWidthScale1Minutes:=1;//round(FDiameter /160);
  FWidthScale5Minutes:=2;//round(FDiameter /160*2);
  FWidthScaleNoon:=5;//round(FDiameter /160*5);
  FWidthHand1Hour:=8;//round(FDiameter /160*8);
  FWidthHand1Minute:=5;//round(FDiameter /160*5);
  FWidthHand1Second:=1;//round(FDiameter /160);
  FWidthHand2Hour:=FWidthHand1Hour+4;
  FWidthHand2Minute:=FWidthHand1Minute+4;
  FWidthHand2Second:=1;
  FBoardFontSizeHour:= 13;//round(FDiameter /160*13);
  FBoardFontSizeHourAssist:= round(13/2);
  FBoardFontSizeMinute:= 4;//round(FDiameter /160*4);
  FBoardFontColorHour:= clBlack;
  FBoardFontColorMinute:= clBlack;
  Width:=FDiameter+3*FBoardFontSizeMinute;
  Height:=FDiameter+3*FBoardFontSizeMinute;
  sx:=width/2-FDiameter/2;
  sy:=height/2-FDiameter/2;
  FBoardColor:= clBtnFace;
  FBoardDividedColor:= clDkGray;
  FLineWidthHands1:=1;
  FLineWidthHands2:=1;
  FTypeBoardCharacterHour:= bchAll;
  FTypeBoardCharacterHourAssist:= bchaShow;
  FTypeBoardCharacterMinute:= bcmTwelve;
  FTypeBoardScale:= bsAll;
  FTypeShowBoard:= sbShow;
  FTypeShowHandSecond:= shsHide;
  FTypeShowHandMinute:= shmShow;
  FTypeShowHandHour:= shhShow;
  FTypeDividedColor:= dcYes;
  FTypeHandsShape:= hsRound;
  FTypeHands1BrushStyle:= bsSolid;
  FTypeHands2BrushStyle:= bsClear;
  FTypeOverUnder:= ouNo;
  FTime1Hour:=0;
  FTime1Minute:=0;
  FTime1Second:=0;
  FTime2Hour:=0;
  FTime2Minute:=0;
  FTime2Second:=0;
  FHand1HourColor:= clRed;
  FHand1MinuteColor:= clBlack;
  FHand1SecondColor:= clBlue;
  FHand2HourColor:= clYellow;
  FHand2MinuteColor:= clGreen;
  FHand2SecondColor:= clAqua;
  FTypeHands2Show:= h2sHide;
  RatioHand1Second:=60/100;//bj̒̊iwidth/2Ƃ̔j
  RatioHand1Minute:=85/100;//j̒̊iwidth/2Ƃ̔j
  RatioHand1Hour:=60/100;//j̒̊iwidth/2Ƃ̔j
  RatioHand2Second:=65/100;//bj̒̊iwidth/2Ƃ̔j
  RatioHand2Minute:=85/100;//j̒̊iwidth/2Ƃ̔j
  RatioHand2Hour:=65/100;//j̒̊iwidth/2Ƃ̔j
  // `ɂ̓`cL}邽߃_uobt@g
  DoubleBuffered := True;
end;

procedure TWClock.Paint;
//`
var i: integer;
begin
//  inherited;
  FDiameter:=Width-3*FBoardFontSizeMinute;
  sx:=width/2-FDiameter/2;
  sy:=height/2-FDiameter/2;

  rInner:= round(FDiameter / 2 *95/100);
  rOuter:= round(FDiameter / 2);

  if FTypeShowBoard= sbShow then
  begin
    //敪Fh
    if ((FTypeBoardCharacterHour=bchAll) and (FTypeDividedColor=dcYes) and ((TypeBoardScale=bsTwelve) or (TypeBoardScale=bsAll))) then
    begin
      Canvas.Pen.Width:=1;
      Canvas.Pen.Color:= clLtGray;
      canvas.Brush.Color:= FBoardDividedColor;
      for i:=0 to 5 do
      begin
        Canvas.pie(round(sx-FWidthBorderLine div 2),
                   round(sy-FWidthBorderLine div 2),
                   round(sx+FDiameter+FWidthBorderLine div 2),
                   round(sy+FDiameter+FWidthBorderLine div 2),
                   round(sx+rOuter*(1-cos((2*i+1)*2*pi/12+pi/2))),
                   round(sy+rOuter*(1-sin((2*i+1)*2*pi/12+pi/2))),
                   round(sx+rOuter*(1-cos( 2*i   *2*pi/12+pi/2))),
                   round(sy+rOuter*(1-sin( 2*i   *2*pi/12+pi/2))));
      end;
    end;

    //E
    canvas.Pen.Style:= psSolid;
    canvas.Pen.Width:=FWidthBorderLine;
    canvas.Pen.Color:= clBlack;
    Canvas.Brush.Style := bsClear;
  //  canvas.Brush.Color:= FBoardColor;
    canvas.Ellipse(round(sx+canvas.Pen.Width div 2-1),
                   round(sy+canvas.Pen.Width div 2-1),
                   round(sx+FDiameter-canvas.Pen.Width div 2+1),
                   round(sy+FDiameter-canvas.Pen.Width div 2+1));

    //XP[i݁j
    //P̐
    Canvas.Pen.Color:= clBlack;
    canvas.Pen.Style:= psSolid;
    canvas.Pen.Width:=WidthScale1Minutes;
    for i:=1 to 59 do
    begin
      if FTypeBoardScale= bsAll then
      begin
        canvas.MoveTo(round(sx+rOuter-(rInner                       )*cos(i*2*pi/60+pi/2)),
                      round(sy+rOuter-(rInner                       )*sin(i*2*pi/60+pi/2)));
        canvas.lineTo(round(sx+rOuter-(rOuter-canvas.Pen.Width div 2)*cos(i*2*pi/60+pi/2)),
                      round(sy+rOuter-(rOuter-canvas.Pen.Width div 2)*sin(i*2*pi/60+pi/2)));
      end;
    end;

    //T̐iP`PPj
    canvas.Pen.Style:= psSolid;
    canvas.Pen.Width:=WidthScale5Minutes;
    for i:=1 to 11 do
    begin
      if ((FTypeBoardScale=bsTwelve) or (FTypeBoardScale=bsFour) or (FTypeBoardScale=bsAll)) then
      begin
        if ((FTypeBoardScale=bsTwelve) or (FTypeBoardScale=bsAll)) then
        begin
          canvas.MoveTo(round(sx+rOuter-(rInner                       )*cos(i*2*pi/12+pi/2)),
                        round(sy+rOuter-(rInner                       )*sin(i*2*pi/12+pi/2)));
          canvas.lineTo(round(sx+rOuter-(rOuter-canvas.Pen.Width div 2)*cos(i*2*pi/12+pi/2)),
                        round(sy+rOuter-(rOuter-canvas.Pen.Width div 2)*sin(i*2*pi/12+pi/2)));
        end;
        if ((FTypeBoardScale=bsFour) and ((i mod 3)=0)) then
        begin
          canvas.MoveTo(round(sx+rOuter-(rInner                       )*cos(i*2*pi/12+pi/2)),
                        round(sy+rOuter-(rInner                       )*sin(i*2*pi/12+pi/2)));
          canvas.lineTo(round(sx+rOuter-(rOuter-canvas.Pen.Width div 2)*cos(i*2*pi/12+pi/2)),
                        round(sy+rOuter-(rOuter-canvas.Pen.Width div 2)*sin(i*2*pi/12+pi/2)));
        end;
      end;
    end;

    //߁iPQj
    canvas.Pen.Style:= psSolid;
    canvas.Pen.Width:=WidthScaleNoon;
    if FTypeBoardScale<>bsNone then
    begin
      canvas.MoveTo(  round(sx+rOuter-(rInner                       )*cos(0*2*pi/12+pi/2)),
                      round(sy+rOuter-(rInner                       )*sin(0*2*pi/12+pi/2)));
      canvas.lineTo(  round(sx+rOuter-(rOuter-canvas.Pen.Width div 2)*cos(0*2*pi/12+pi/2)),
                      round(sy+rOuter-(rOuter-canvas.Pen.Width div 2)*sin(0*2*pi/12+pi/2)));
    end;

    // Ղ̕[]⏕
    canvas.Pen.Color:= clBlack;
    canvas.Pen.Style:= psSolid;
    Canvas.Brush.Style := bsclear;
    Canvas.Font.size:= FBoardFontSizeHourAssist;
    if ((FTypeBoardCharacterHour=bchAll) and (FTypeDividedColor=dcYes) and ((TypeBoardScale=bsTwelve) or (TypeBoardScale=bsAll))) then
    begin
      for i:=1 to 12 do
      begin
        if i mod 2=0 then Canvas.Font.Color := color
                     else Canvas.Font.Color := FBoardDividedColor;

        ValueText := inttostr(i);
        //̈ݒ肷
        ValueTextRect := Rect(round(sx+rOuter-(rInner/8*7-FBoardFontSizeHour*5/6)*cos(i*pi/6+pi/2+pi/12)-FBoardFontSizeHour*23/24),
                              round(sy+rOuter-(rInner/8*7-FBoardFontSizeHour*5/6)*sin(i*pi/6+pi/2+pi/12)-FBoardFontSizeHour*1/3),
                              round(sx+rOuter-(rInner/8*7-FBoardFontSizeHour*5/6)*cos(i*pi/6+pi/2+pi/12)+FBoardFontSizeHour*25/24),
                              round(sy+rOuter-(rInner/8*7-FBoardFontSizeHour*5/6)*sin(i*pi/6+pi/2+pi/12)+FBoardFontSizeHour*3/3));
        case FTypeBoardCharacterHourAssist of
          bchaHide :begin end;
          bchaShow  :DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        end;
      end;
    end;


    // Ղ̕[]
    canvas.Pen.Color:= clBlack;
    canvas.Pen.Style:= psSolid;
    Canvas.Brush.Style := bsclear;
    Canvas.Font.size:= FBoardFontSizeHour;
    Canvas.Font.Color := FBoardFontColorHour;//clWindowText;
    for i:=1 to 12 do
    begin
      ValueText := inttostr(i);
      //̈ݒ肷
      ValueTextRect := Rect(round(sx+rOuter-(rInner-FBoardFontSizeHour*5/6)*cos(i*pi/6+pi/2)-FBoardFontSizeHour*23/24),
                            round(sy+rOuter-(rInner-FBoardFontSizeHour*5/6)*sin(i*pi/6+pi/2)-FBoardFontSizeHour*2/3),
                            round(sx+rOuter-(rInner-FBoardFontSizeHour*5/6)*cos(i*pi/6+pi/2)+FBoardFontSizeHour*25/24),
                            round(sy+rOuter-(rInner-FBoardFontSizeHour*5/6)*sin(i*pi/6+pi/2)+FBoardFontSizeHour*2/3));
      case FTypeBoardCharacterHour of
        bchNone :begin end;
        bchNoon :if i=12 then           DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        bchSix  :if ((i mod 2)=0)  then DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        bchFour :if ((i mod 3)=0)  then DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        bchAll  :                       DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
      end;
    end;

    // Ղ̕[]
    canvas.Pen.Color:= clBlack;
    canvas.Pen.Style:= psSolid;
    Canvas.Brush.Style := bsclear;
    Canvas.Font.size:= FBoardFontSizeMinute;
    Canvas.Font.Color := FBoardFontColorMinute;//clWindowText;

    for i:=0 to 59 do
    begin
      ValueText := inttostr(i);
      //̈ݒ肷
      ValueTextRect := Rect(round(sx+rOuter-(rOuter+FBoardFontSizeMinute*5/6)*cos(i*pi/30+pi/2)-FBoardFontSizeMinute*23/24),
                            round(sy+rOuter-(rOuter+FBoardFontSizeMinute*5/6)*sin(i*pi/30+pi/2)-FBoardFontSizeMinute*2/3),
                            round(sx+rOuter-(rOuter+FBoardFontSizeMinute*5/6)*cos(i*pi/30+pi/2)+FBoardFontSizeMinute*25/24),
                            round(sy+rOuter-(rOuter+FBoardFontSizeMinute*5/6)*sin(i*pi/30+pi/2)+FBoardFontSizeMinute*2/3));
      case FTypeBoardCharacterMinute of
        bcmNone   :begin end;
        bcmFour   :if ((i mod 15)=0) then DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        bcmSix    :if ((i mod 10)=0) then DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        bcmTwelve :if ((i mod  5)=0) then DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
        bcmAll    :                       DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect, DT_CENTER or DT_SINGLELINE);
      end;
    end;
  end;

//vQ------------------------------------------------------------------------------------------
if FTypeHands2Show=h2sShow then
begin
  //jQ
  canvas.Pen.Width:= FLineWidthHands2;
  canvas.Pen.Color:=FHand2HourBorderColor;
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Color:= FHand2HourColor;
  if FTypeHands2BrushStyle<> bsClear then
  begin
    Canvas.Brush.style := FTypeHands2BrushStyle;
    canvas.Brush.Color:=FHand2HourColor;
  end;
  case FTypeHandsShape of
    hsRound://j悪uہv
      begin
        //̍W
        for i:=0 to 10 do//[̔~
        begin
          px0[i]:=round( widthHand2Hour/2*cos(pi/10*(i   )));
          py0[i]:=round( widthHand2Hour/2*sin(pi/10*(i   ))+rOuter*RatioHand2Hour);
        end;
        for i:=11 to 21 do//̔~
        begin
          px0[i]:=round( widthHand2Hour/2*cos(pi+pi/10*(i-11)));
          py0[i]:=round( widthHand2Hour/2*sin(pi+pi/10*(i-11))-widthHand2Hour/2);
        end;

        //̍Wł(px0[i],py0[i])v( )̒l[rad]]xW
        for i:=0 to 21 do
        begin
          px1[i]:=xRotate(px0[i],py0[i],((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));
          py1[i]:=yRotate(px0[i],py0[i],((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));
        end;
        canvas.Polygon([ point(round(sx+px1[00]),round(sy+py1[00])),
                         point(round(sx+px1[01]),round(sy+py1[01])),
                         point(round(sx+px1[02]),round(sy+py1[02])),
                         point(round(sx+px1[03]),round(sy+py1[03])),
                         point(round(sx+px1[04]),round(sy+py1[04])),
                         point(round(sx+px1[05]),round(sy+py1[05])),
                         point(round(sx+px1[06]),round(sy+py1[06])),
                         point(round(sx+px1[07]),round(sy+py1[07])),
                         point(round(sx+px1[08]),round(sy+py1[08])),
                         point(round(sx+px1[09]),round(sy+py1[09])),
                         point(round(sx+px1[10]),round(sy+py1[10])),
                         point(round(sx+px1[11]),round(sy+py1[11])),
                         point(round(sx+px1[12]),round(sy+py1[12])),
                         point(round(sx+px1[13]),round(sy+py1[13])),
                         point(round(sx+px1[14]),round(sy+py1[14])),
                         point(round(sx+px1[15]),round(sy+py1[15])),
                         point(round(sx+px1[16]),round(sy+py1[16])),
                         point(round(sx+px1[17]),round(sy+py1[17])),
                         point(round(sx+px1[18]),round(sy+py1[18])),
                         point(round(sx+px1[19]),round(sy+py1[19])),
                         point(round(sx+px1[20]),round(sy+py1[20])),
                         point(round(sx+px1[21]),round(sy+py1[21]))]);
      end;
    hsSharp://j悪uv
      begin
        px10:=round( (widthHand2Hour-widthBorderLine)/2) ;py10:=round(-(widthHand2Hour-widthBorderLine)/2*3);
        px20:=round( (widthHand2Hour-widthBorderLine)/2) ;py20:=round(rOuter*RatioHand2Hour);
        px30:=0                                               ;py30:=round(rOuter*RatioHand2Hour+sqrt(1/2)*(widthHand2Hour-widthBorderLine));
        px40:=round(-(widthHand2Hour-widthBorderLine)/2) ;py40:=round(rOuter*RatioHand2Hour);
        px50:=round(-(widthHand2Hour-widthBorderLine)/2) ;py50:=round(-(widthHand2Hour-widthBorderLine)/2*3);

        px11:=xRotate(px10,py10,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6)); py11:=yRotate(px10,py10,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));
        px21:=xRotate(px20,py20,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6)); py21:=yRotate(px20,py20,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));
        px31:=xRotate(px30,py30,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6)); py31:=yRotate(px30,py30,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));
        px41:=xRotate(px40,py40,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6)); py41:=yRotate(px40,py40,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));
        px51:=xRotate(px50,py50,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6)); py51:=yRotate(px50,py50,((FTime2Hour+FTime2Minute/60+FTime2Second/3600)*pi/6));

        Canvas.Polygon([Point(round(sx+px11),round(sy+py11)),
                        Point(round(sx+px21),round(sy+py21)),
                        Point(round(sx+px31),round(sy+py31)),
                        Point(round(sx+px41),round(sy+py41)),
                        Point(round(sy+px51),round(sy+py51))]);
      end;
  end;

  //jQ
  canvas.Pen.Width:=FLineWidthHands2;
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Color:=FHand2MinuteBorderColor;
  if FTypeHands2BrushStyle<> bsClear then
  begin
    Canvas.Brush.style := FTypeHands2BrushStyle;
    canvas.Brush.Color:=FHand2MinuteColor;
  end;
  case FTypeHandsShape of
    hsRound:
      begin
        //̍W
        for i:=0 to 10 do//[̔~
        begin
          px0[i]:=round( widthHand2Minute/2*cos(pi/10*(i   )));
          py0[i]:=round( widthHand2Minute/2*sin(pi/10*(i   ))+rOuter*RatioHand2Minute);
        end;
        for i:=11 to 21 do//̔~
        begin
          px0[i]:=round( widthHand2Minute/2*cos(pi+pi/10*(i-11)));
          py0[i]:=round( widthHand2Minute/2*sin(pi+pi/10*(i-11))-widthHand2Minute/2*3);
        end;

        //̍Wł(px0[i],py0[i])v( )̒l[rad]]xW
        for i:=0 to 21 do
        begin
          px1[i]:=xRotate(px0[i],py0[i],((FTime2Minute+FTime2Second/60)/5*pi/6));
          py1[i]:=yRotate(px0[i],py0[i],((FTime2Minute+FTime2Second/60)/5*pi/6));
        end;
        canvas.Polygon([ point(round(sx+px1[00]),round(sy+py1[00])),
                         point(round(sx+px1[01]),round(sy+py1[01])),
                         point(round(sx+px1[02]),round(sy+py1[02])),
                         point(round(sx+px1[03]),round(sy+py1[03])),
                         point(round(sx+px1[04]),round(sy+py1[04])),
                         point(round(sx+px1[05]),round(sy+py1[05])),
                         point(round(sx+px1[06]),round(sy+py1[06])),
                         point(round(sx+px1[07]),round(sy+py1[07])),
                         point(round(sx+px1[08]),round(sy+py1[08])),
                         point(round(sx+px1[09]),round(sy+py1[09])),
                         point(round(sx+px1[10]),round(sy+py1[10])),
                         point(round(sx+px1[11]),round(sy+py1[11])),
                         point(round(sx+px1[12]),round(sy+py1[12])),
                         point(round(sx+px1[13]),round(sy+py1[13])),
                         point(round(sx+px1[14]),round(sy+py1[14])),
                         point(round(sx+px1[15]),round(sy+py1[15])),
                         point(round(sx+px1[16]),round(sy+py1[16])),
                         point(round(sx+px1[17]),round(sy+py1[17])),
                         point(round(sx+px1[18]),round(sy+py1[18])),
                         point(round(sx+px1[19]),round(sy+py1[19])),
                         point(round(sx+px1[20]),round(sy+py1[20])),
                         point(round(sx+px1[21]),round(sy+py1[21]))]);
      end;
    hsSharp:
      begin
        px10:=round( (widthHand2Minute-widthBorderLine)/2) ;py10:=round(-(widthHand2Minute-widthBorderLine)/2*4);
        px20:=round( (widthHand2Minute-widthBorderLine)/2) ;py20:=round(rOuter*RatioHand2Minute);
        px30:=0                                                ;py30:=round(rOuter*RatioHand2Minute+sqrt(1/2)*(widthHand2Minute-widthBorderLine));
        px40:=round(-(widthHand2Minute-widthBorderLine)/2) ;py40:=round(rOuter*RatioHand2Minute);
        px50:=round(-(widthHand2Minute-widthBorderLine)/2) ;py50:=round(-(widthHand2Minute-widthBorderLine)/2*4);

        px11:=xRotate(px10,py10,((FTime2Minute+FTime2Second/60)/5*pi/6)); py11:=yRotate(px10,py10,((FTime2Minute+FTime2Second/60)/5*pi/6));
        px21:=xRotate(px20,py20,((FTime2Minute+FTime2Second/60)/5*pi/6)); py21:=yRotate(px20,py20,((FTime2Minute+FTime2Second/60)/5*pi/6));
        px31:=xRotate(px30,py30,((FTime2Minute+FTime2Second/60)/5*pi/6)); py31:=yRotate(px30,py30,((FTime2Minute+FTime2Second/60)/5*pi/6));
        px41:=xRotate(px40,py40,((FTime2Minute+FTime2Second/60)/5*pi/6)); py41:=yRotate(px40,py40,((FTime2Minute+FTime2Second/60)/5*pi/6));
        px51:=xRotate(px50,py50,((FTime2Minute+FTime2Second/60)/5*pi/6)); py51:=yRotate(px50,py50,((FTime2Minute+FTime2Second/60)/5*pi/6));

        Canvas.Polygon([Point(round(sx+px11),round(sy+py11)),
                        Point(round(sx+px21),round(sy+py21)),
                        Point(round(sx+px31),round(sy+py31)),
                        Point(round(sx+px41),round(sy+py41)),
                        Point(round(sx+px51),round(sy+py51))]);
      end;
  end;

  //bjQ
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Color:= FHand2SecondColor;
  canvas.Pen.Width:=FWidthHand2Second;
  if FTypeShowHandSecond=shsShow then
  begin
    canvas.MoveTo(round(sx+(rOuter+RatioHand2Second*rOuter*cos(FTime2Second*2*pi/60+pi/2)/4)),
                  round(sy+(rOuter+RatioHand2Second*rOuter*sin(FTime2Second*2*pi/60+pi/2)/4)));
    canvas.LineTo(round(sx+(rOuter-RatioHand2Second*rOuter*cos(FTime2Second*2*pi/60+pi/2))),
                  round(sy+(rOuter-RatioHand2Second*rOuter*sin(FTime2Second*2*pi/60+pi/2))));
  end;
end;

//vP------------------------------------------------------------------------------------------
  //jP
  if FTypeShowHandHour=shhShow then
  begin
    canvas.Pen.Width:= FLineWidthHands1;
    canvas.Pen.Color:=FHand1HourBorderColor;
    canvas.Pen.Style:= psSolid;
    if FTypeHands1BrushStyle<> bsClear then
    begin
      Canvas.Brush.style := FTypeHands1BrushStyle;
      canvas.Brush.Color:=FHand1HourColor;
    end;
    case FTypeHandsShape of
      hsRound://j悪uہv
        begin
          //̍W
          for i:=0 to 10 do//[̔~
          begin
            px0[i]:=round( widthHand1Hour/2*cos(pi/10*(i   )));
            py0[i]:=round( widthHand1Hour/2*sin(pi/10*(i   ))+rOuter*RatioHand1Hour);
          end;
          for i:=11 to 21 do//̔~
          begin
            px0[i]:=round( widthHand1Hour/2*cos(pi+pi/10*(i-11)));
            py0[i]:=round( widthHand1Hour/2*sin(pi+pi/10*(i-11))-widthHand1Hour/2);
          end;

          //̍Wł(px0[i],py0[i])v( )̒l[rad]]xW
          for i:=0 to 21 do
          begin
            px1[i]:=xRotate(px0[i],py0[i],((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));
            py1[i]:=yRotate(px0[i],py0[i],((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));
          end;
          canvas.Polygon([ point(round(sx+px1[00]),round(sy+py1[00])),
                           point(round(sx+px1[01]),round(sy+py1[01])),
                           point(round(sx+px1[02]),round(sy+py1[02])),
                           point(round(sx+px1[03]),round(sy+py1[03])),
                           point(round(sx+px1[04]),round(sy+py1[04])),
                           point(round(sx+px1[05]),round(sy+py1[05])),
                           point(round(sx+px1[06]),round(sy+py1[06])),
                           point(round(sx+px1[07]),round(sy+py1[07])),
                           point(round(sx+px1[08]),round(sy+py1[08])),
                           point(round(sx+px1[09]),round(sy+py1[09])),
                           point(round(sx+px1[10]),round(sy+py1[10])),
                           point(round(sx+px1[11]),round(sy+py1[11])),
                           point(round(sx+px1[12]),round(sy+py1[12])),
                           point(round(sx+px1[13]),round(sy+py1[13])),
                           point(round(sx+px1[14]),round(sy+py1[14])),
                           point(round(sx+px1[15]),round(sy+py1[15])),
                           point(round(sx+px1[16]),round(sy+py1[16])),
                           point(round(sx+px1[17]),round(sy+py1[17])),
                           point(round(sx+px1[18]),round(sy+py1[18])),
                           point(round(sx+px1[19]),round(sy+py1[19])),
                           point(round(sx+px1[20]),round(sy+py1[20])),
                           point(round(sx+px1[21]),round(sy+py1[21]))]);
        end;
      hsSharp://j悪uv
        begin
          px10:=round( (widthHand1Hour-widthBorderLine)/2) ;py10:=round(-(widthHand1Hour-widthBorderLine)/2*2);
          px20:=round( (widthHand1Hour-widthBorderLine)/2) ;py20:=round(rOuter*RatioHand1Hour);
          px30:=0                                               ;py30:=round(rOuter*RatioHand1Hour+sqrt(1/2)*(widthHand1Hour-widthBorderLine));
          px40:=round(-(widthHand1Hour-widthBorderLine)/2) ;py40:=round(rOuter*RatioHand1Hour);
          px50:=round(-(widthHand1Hour-widthBorderLine)/2) ;py50:=round(-(widthHand1Hour-widthBorderLine)/2*2);

          px11:=xRotate(px10,py10,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6)); py11:=yRotate(px10,py10,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));
          px21:=xRotate(px20,py20,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6)); py21:=yRotate(px20,py20,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));
          px31:=xRotate(px30,py30,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6)); py31:=yRotate(px30,py30,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));
          px41:=xRotate(px40,py40,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6)); py41:=yRotate(px40,py40,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));
          px51:=xRotate(px50,py50,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6)); py51:=yRotate(px50,py50,((FTime1Hour+FTime1Minute/60+FTime1Second/3600)*pi/6));

          Canvas.Polygon([Point(round(sx+px11),round(sy+py11)),
                          Point(round(sx+px21),round(sy+py21)),
                          Point(round(sx+px31),round(sy+py31)),
                          Point(round(sx+px41),round(sy+py41)),
                          Point(round(sy+px51),round(sy+py51))]);
        end;
    end;
  end;

  //jP
  if FTypeShowHandMinute=shmShow then
  begin
    canvas.Pen.Width:=FLineWidthHands1;
    canvas.Pen.Style:= psSolid;
    canvas.Pen.Color:=FHand1MinuteBorderColor;
    if FTypeHands1BrushStyle<> bsClear then
    begin
      Canvas.Brush.style := FTypeHands1BrushStyle;
      canvas.Brush.Color:=FHand1MinuteColor;
    end;
    case FTypeHandsShape of
      hsRound:
        begin
          //̍W
          for i:=0 to 10 do//[̔~
          begin
            px0[i]:=round( widthHand1Minute/2*cos(pi/10*(i   )));
            py0[i]:=round( widthHand1Minute/2*sin(pi/10*(i   ))+rOuter*RatioHand1Minute);
          end;
          for i:=11 to 21 do//̔~
          begin
            px0[i]:=round( widthHand1Minute/2*cos(pi+pi/10*(i-11)));
            py0[i]:=round( widthHand1Minute/2*sin(pi+pi/10*(i-11))-widthHand1Minute/2*3);
          end;

          //̍Wł(px0[i],py0[i])v( )̒l[rad]]xW
          for i:=0 to 21 do
          begin
            px1[i]:=xRotate(px0[i],py0[i],((FTime1Minute+FTime1Second/60)/5*pi/6));
            py1[i]:=yRotate(px0[i],py0[i],((FTime1Minute+FTime1Second/60)/5*pi/6));
          end;
          canvas.Polygon([ point(round(sx+px1[00]),round(sy+py1[00])),
                           point(round(sx+px1[01]),round(sy+py1[01])),
                           point(round(sx+px1[02]),round(sy+py1[02])),
                           point(round(sx+px1[03]),round(sy+py1[03])),
                           point(round(sx+px1[04]),round(sy+py1[04])),
                           point(round(sx+px1[05]),round(sy+py1[05])),
                           point(round(sx+px1[06]),round(sy+py1[06])),
                           point(round(sx+px1[07]),round(sy+py1[07])),
                           point(round(sx+px1[08]),round(sy+py1[08])),
                           point(round(sx+px1[09]),round(sy+py1[09])),
                           point(round(sx+px1[10]),round(sy+py1[10])),
                           point(round(sx+px1[11]),round(sy+py1[11])),
                           point(round(sx+px1[12]),round(sy+py1[12])),
                           point(round(sx+px1[13]),round(sy+py1[13])),
                           point(round(sx+px1[14]),round(sy+py1[14])),
                           point(round(sx+px1[15]),round(sy+py1[15])),
                           point(round(sx+px1[16]),round(sy+py1[16])),
                           point(round(sx+px1[17]),round(sy+py1[17])),
                           point(round(sx+px1[18]),round(sy+py1[18])),
                           point(round(sx+px1[19]),round(sy+py1[19])),
                           point(round(sx+px1[20]),round(sy+py1[20])),
                           point(round(sx+px1[21]),round(sy+py1[21]))]);
        end;
      hsSharp:
        begin
          px10:=round( (widthHand1Minute-widthBorderLine)/2) ;py10:=round(-(widthHand1Minute-widthBorderLine)/2*5);
          px20:=round( (widthHand1Minute-widthBorderLine)/2) ;py20:=round(rOuter*RatioHand1Minute);
          px30:=0                                                 ;py30:=round(rOuter*RatioHand1Minute+sqrt(1/2)*(widthHand1Minute-widthBorderLine));
          px40:=round(-(widthHand1Minute-widthBorderLine)/2) ;py40:=round(rOuter*RatioHand1Minute);
          px50:=round(-(widthHand1Minute-widthBorderLine)/2) ;py50:=round(-(widthHand1Minute-widthBorderLine)/2*5);

          px11:=xRotate(px10,py10,((FTime1Minute+FTime1Second/60)/5*pi/6)); py11:=yRotate(px10,py10,((FTime1Minute+FTime1Second/60)/5*pi/6));
          px21:=xRotate(px20,py20,((FTime1Minute+FTime1Second/60)/5*pi/6)); py21:=yRotate(px20,py20,((FTime1Minute+FTime1Second/60)/5*pi/6));
          px31:=xRotate(px30,py30,((FTime1Minute+FTime1Second/60)/5*pi/6)); py31:=yRotate(px30,py30,((FTime1Minute+FTime1Second/60)/5*pi/6));
          px41:=xRotate(px40,py40,((FTime1Minute+FTime1Second/60)/5*pi/6)); py41:=yRotate(px40,py40,((FTime1Minute+FTime1Second/60)/5*pi/6));
          px51:=xRotate(px50,py50,((FTime1Minute+FTime1Second/60)/5*pi/6)); py51:=yRotate(px50,py50,((FTime1Minute+FTime1Second/60)/5*pi/6));

          Canvas.Polygon([Point(round(sx+px11),round(sy+py11)),
                          Point(round(sx+px21),round(sy+py21)),
                          Point(round(sx+px31),round(sy+py31)),
                          Point(round(sx+px41),round(sy+py41)),
                          Point(round(sx+px51),round(sy+py51))]);
        end;
    end;
  end;

  //bjP
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Color:= FHand1SecondColor;
  canvas.Pen.Width:=FWidthHand1Second;
  if FTypeShowHandSecond=shsShow then
  begin
    canvas.MoveTo(round(sx+(rOuter+RatioHand1Second*rOuter*cos(FTime1Second*2*pi/60+pi/2)/4)),
                  round(sy+(rOuter+RatioHand1Second*rOuter*sin(FTime1Second*2*pi/60+pi/2)/4)));
    canvas.LineTo(round(sx+(rOuter-RatioHand1Second*rOuter*cos(FTime1Second*2*pi/60+pi/2))),
                  round(sy+(rOuter-RatioHand1Second*rOuter*sin(FTime1Second*2*pi/60+pi/2))));
  end;

//------------------------------------------------------------------------------------------
  //S
  canvas.Pen.Style:= psSolid;
  if FTypeShowHandSecond=shsShow then canvas.Pen.Color:= clblue else canvas.Pen.Color:= clblack;
  canvas.Pen.Width:= WidthBorderLine;
  Canvas.Brush.color := FBoardColor;
  canvas.Brush.Style:= bssolid;
  canvas.Ellipse(round(sx+FDiameter / 2-(FWidthHand1Minute / 2)),
                 round(sy+FDiameter / 2-(FWidthHand1Minute / 2)),
                 round(sx+FDiameter / 2+(FWidthHand1Minute / 2)),
                 round(sy+FDiameter / 2+(FWidthHand1Minute / 2)));
end;

procedure TWClock.Change;
// OnChangeCxg̃CxgfBXpb`
begin
  if Assigned(FOnChange) then FOnChange(Self);
end;

procedure TWClock.Resize;
//Rg[̃TCYύX
begin
  inherited;
  if Height <> FDiameter
  then
  begin
    FDiameter:=Height-3*FBoardFontSizeMinute;
    width := Height;
  end
  else
  begin
    FDiameter:=Width-3*FBoardFontSizeMinute;
    Height:= width;
  end;

  sx:=width/2-FDiameter/2;
  sy:=height/2-FDiameter/2;

  FWidthBorderLine:=round(FDiameter /160);
  FWidthScale1Minutes:=round(FDiameter /160);
  FWidthScale5Minutes:=round(FDiameter /160*2);
  FWidthScaleNoon:=round(FDiameter /160*5);
  FWidthHand1Hour:=round(FDiameter /160*8);
  FWidthHand1Minute:=round(FDiameter /160*5);
  FWidthHand1Second:=round(FDiameter /160);
  FWidthHand2Hour:=FWidthHand1Hour+4;
  FWidthHand2Minute:=FWidthHand1Minute+4;
  FWidthHand2Second:=FWidthHand1Second;
  FBoardFontSizeHour:= round(FDiameter /160*13);//   R|[lg̑傫ɘA
  FBoardFontSizeHourAssist:= round(FDiameter /160*13/2);//   R|[lg̑傫ɘA
  FBoardFontSizeMinute:= round(FDiameter /160*4);

  Invalidate;
  Change;
end;

procedure TWClock.SetTime1Hour(const Value: Integer);
// j̈ʒu(l)ύX
var
  NewTime1Hour: Integer;
begin
  NewTime1Hour := Value;

  NewTime1Hour:= NewTime1Hour mod 12;

  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if NewTime1Hour <> FTime1Hour then
  begin
    FTime1Hour:= NewTime1Hour;
    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetTime1Minute(const Value: Integer);
// j̈ʒu(l)ύX
var
  NewTime1Hour: Integer;
  NewTime1Minute: integer;
begin
  NewTime1Minute := Value;
  NewTime1Hour:= FTime1Hour;

  case FTypeOverUnder of
    ouNo:
      begin
        if NewTime1Minute>59 then NewTime1Minute:=0;
        if NewTime1Hour>11 then NewTime1Hour:=0;
        if NewTime1Minute<0 then NewTime1Minute:=0;
        if NewTime1Hour<0 then NewTime1Hour:=0;
      end;
    ouOk:
      begin
      end;
  end;

  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if ((FTime1Minute <> NewTime1Minute) or (FTime1Hour <> NewTime1Hour)) then
  begin
    FTime1Minute:= NewTime1Minute;
    FTime1Hour:= NewTime1Hour;
    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetTime1Second(const Value: Integer);
// ubvύX
var
  NewTime1Second: Integer;
  NewTime1Minute: Integer;
  NewTime1Hour  : Integer;
begin
  NewTime1Second := Value;
  NewTime1Minute := FTime1Minute;
  NewTime1Hour   := FTime1Hour;

  case FTypeOverUnder of
    ouNo:
      begin
        if NewTime1Second>59 then NewTime1Second:=0;
        if NewTime1Minute>59 then NewTime1Minute:=0;
        if NewTime1Hour>11 then NewTime1Hour:=0;
        if NewTime1Second<0 then NewTime1Second:=0;
        if NewTime1Minute<0 then NewTime1Minute:=0;
        if NewTime1Hour<0 then NewTime1Hour:=0;
      end;
    ouOk:
      begin
      end;
  end;
  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if ((FTime1Second <> NewTime1Second) or (FTime1Minute <> NewTime1Minute) or (FTime1Hour <> NewTime1Hour))then
  begin
    FTime1Second := NewTime1Second;
    FTime1Minute := NewTime1Minute;
    FTime1Hour   := NewTime1Hour;
    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetTime2Hour(const Value: Integer);
// j̈ʒu(l)ύX
var
  NewTime2Hour: Integer;
begin
  NewTime2Hour := Value;

  NewTime2Hour:= NewTime2Hour mod 12;

  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if NewTime2Hour <> FTime2Hour then
  begin
    FTime2Hour:= NewTime2Hour;
    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetTime2Minute(const Value: Integer);
// j̈ʒu(l)ύX
var
  NewTime2Hour: Integer;
  NewTime2Minute: integer;
begin
  NewTime2Minute := Value;
  NewTime2Hour:= FTime2Hour;

  case FTypeOverUnder of
    ouNo:
      begin
        if NewTime2Minute>59 then NewTime2Minute:=0;
        if NewTime2Hour>11 then NewTime2Hour:=0;
        if NewTime2Minute<0 then NewTime2Minute:=0;
        if NewTime2Hour<0 then NewTime2Hour:=0;
      end;
    ouOk:
      begin
      end;
  end;

  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if ((FTime2Minute <> NewTime2Minute) or (FTime2Hour <> NewTime2Hour)) then
  begin
    FTime2Minute:= NewTime2Minute;
    FTime2Hour:= NewTime2Hour;
    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetTime2Second(const Value: Integer);
// ubvύX
var
  NewTime2Second: Integer;
  NewTime2Minute: Integer;
  NewTime2Hour  : Integer;
begin
  NewTime2Second := Value;
  NewTime2Minute := FTime2Minute;
  NewTime2Hour   := FTime2Hour;

  case FTypeOverUnder of
    ouNo:
      begin
        if NewTime2Second>59 then NewTime2Second:=0;
        if NewTime2Minute>59 then NewTime2Minute:=0;
        if NewTime2Hour>11 then NewTime2Hour:=0;
        if NewTime2Second<0 then NewTime2Second:=0;
        if NewTime2Minute<0 then NewTime2Minute:=0;
        if NewTime2Hour<0 then NewTime2Hour:=0;
      end;
    ouOk:
      begin
      end;
  end;
  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if ((FTime2Second <> NewTime2Second) or (FTime2Minute <> NewTime2Minute) or (FTime2Hour <> NewTime2Hour))then
  begin
    FTime2Second := NewTime2Second;
    FTime2Minute := NewTime2Minute;
    FTime2Hour   := NewTime2Hour;
    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetBoardFontSizeHour(const Value: byte);
// Ղ̕[]̃tHgTCYύX
var
  NewBoardFontSizeHour: byte;
begin
  NewBoardFontSizeHour := Value;
  if FBoardFontSizeHour <> NewBoardFontSizeHour then
  begin
    FBoardFontSizeHour := NewBoardFontSizeHour;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetBoardFontSizeHourAssist(const Value: byte);
// Ղ̕[]⏕̃tHgTCYύX
var
  NewBoardFontSizeHourAssist: byte;
begin
  NewBoardFontSizeHourAssist := Value;
  if FBoardFontSizeHourAssist <> NewBoardFontSizeHourAssist then
  begin
    FBoardFontSizeHourAssist := NewBoardFontSizeHourAssist;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetBoardFontSizeMinute(const Value: byte);
// Ղ̕[]̃tHgTCYύX
var
  NewBoardFontSizeMinute: byte;
begin
  NewBoardFontSizeMinute := Value;
  if FBoardFontSizeMinute <> NewBoardFontSizeMinute then
  begin
    FBoardFontSizeMinute := NewBoardFontSizeMinute;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetBoardFontColorHour(const Value: TColor);
// Ղ̕[]̃tHg̐FύX
var
  NewBoardFontColorHour: TColor;
begin
  NewBoardFontColorHour := Value;
  if FBoardFontColorHour <> NewBoardFontColorHour then
  begin
    FBoardFontColorHour := NewBoardFontColorHour;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetBoardFontColorMinute(const Value: TColor);
// Ղ̕[]̃tHg̐FύX
var
  NewBoardFontColorMinute: TColor;
begin
  NewBoardFontColorMinute := Value;
  if FBoardFontColorMinute <> NewBoardFontColorMinute then
  begin
    FBoardFontColorMinute := NewBoardFontColorMinute;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetBoardColor(const Value: TColor);
// Ղ̐FύX
var
  NewBoardColor: Integer;
begin
  NewBoardColor := Value;
  if FBoardColor <> NewBoardColor then
  begin
    FBoardColor := NewBoardColor;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetBoardDividedColor(const Value: TColor);
// Ջ敪̐FύX
var
  NewBoardDividedColor: Integer;
begin
  NewBoardDividedColor := Value;
  if FBoardDividedColor <> NewBoardDividedColor then
  begin
    FBoardDividedColor := NewBoardDividedColor;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthBorderLine(const Value: byte);
// ȆύX
var
  NewWidthBorderLine: byte;
begin
  NewWidthBorderLine:= Value;
  if FWidthBorderLine <> NewWidthBorderLine then
  begin
    FWidthBorderLine:= NewWidthBorderLine;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthScaleNoon(const Value: byte);
// PQ̂Ƃ̐̑ύX
var
  NewWidthScaleNoon: byte;
begin
  NewWidthScaleNoon:= Value;
  if FWidthScaleNoon <> NewWidthScaleNoon then
  begin
    FWidthScaleNoon:= NewWidthScaleNoon;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthScale1Minutes(const Value: byte);
// P݂̐̑ύX
var
  NewWidthScale1Minutes: byte;
begin
  NewWidthScale1Minutes:= Value;
  if FWidthScale1Minutes <> NewWidthScale1Minutes then
  begin
    FWidthScale1Minutes:= NewWidthScale1Minutes;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthScale5Minutes(const Value: byte);
// T݂̐̑ύX
var
  NewWidthScale5Minutes: byte;
begin
  NewWidthScale5Minutes:= Value;
  if FWidthScale5Minutes <> NewWidthScale5Minutes then
  begin
    FWidthScale5Minutes:= NewWidthScale5Minutes;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthHand1Minute(const Value: byte);
// j1̑ύX
var
  NewWidthHand1Minute: byte;
begin
  NewWidthHand1Minute:= Value;
  if FWidthHand1Minute <> NewWidthHand1Minute then
  begin
    FWidthHand1Minute:= NewWidthHand1Minute;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthHand2Minute(const Value: byte);
// j2̑ύX
var
  NewWidthHand2Minute: byte;
begin
  NewWidthHand2Minute:= Value;
  if FWidthHand2Minute <> NewWidthHand2Minute then
  begin
    FWidthHand2Minute:= NewWidthHand2Minute;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthHand1Second(const Value: byte);
// bj1̑ύX
var
  NewWidthHand1Second: byte;
begin
  NewWidthHand1Second:= Value;
  if FWidthHand1Second <> NewWidthHand1Second then
  begin
    FWidthHand1Second:= NewWidthHand1Second;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthHand2Second(const Value: byte);
// bj2̑ύX
var
  NewWidthHand2Second: byte;
begin
  NewWidthHand2Second:= Value;
  if FWidthHand2Second <> NewWidthHand2Second then
  begin
    FWidthHand2Second:= NewWidthHand2Second;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthHand1Hour(const Value: byte);
// j1̑ύX
var
  NewWidthHand1Hour: byte;
begin
  NewWidthHand1Hour:= Value;
  if FWidthHand1Hour <> NewWidthHand1Hour then
  begin
    FWidthHand1Hour:= NewWidthHand1Hour;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetWidthHand2Hour(const Value: byte);
// j2̑ύX
var
  NewWidthHand2Hour: byte;
begin
  NewWidthHand2Hour:= Value;
  if FWidthHand2Hour <> NewWidthHand2Hour then
  begin
    FWidthHand2Hour:= NewWidthHand2Hour;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeBoardCharacterHour(const Value: TTypeBoardCharacterHour);
//Ղ̕[]\̌^ύX@bchNone:Ȃ; bchNoon:12; bchFore:12,3,6,9; bchAll:ׂĂ
var
  NewTypeBoardCharacterhour: TTypeBoardCharacterHour;
begin
  NewTypeBoardCharacterHour:= value;
  if FTypeBoardCharacterHour <> NewTypeBoardCharacterHour then
  begin
    FTypeBoardCharacterHour := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeBoardCharacterHourAssist(const Value: TTypeBoardCharacterHourAssist);
//Ղ̕[]\̌^ύX@bchaHide:Ȃ,bchaShow:
var
  NewTypeBoardCharacterHourAssist: TTypeBoardCharacterHourAssist;
begin
  NewTypeBoardCharacterHourAssist:= value;
  if FTypeBoardCharacterHourAssist <> NewTypeBoardCharacterHourAssist then
  begin
    FTypeBoardCharacterHourAssist := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeBoardCharacterMinute(const Value: TTypeBoardCharacterMinute);
//Ղ̕[]\̌^ύX@bcmNone:Ȃ; bcmFore:12,3,6,9; bcmTwelve:êƂ낾; bcmAll:ׂĂ
var
  NewTypeBoardCharacterMinute: TTypeBoardCharacterMinute;
begin
  NewTypeBoardCharacterMinute:= value;
  if FTypeBoardCharacterMinute <> NewTypeBoardCharacterMinute then
  begin
    FTypeBoardCharacterMinute := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeBoardScale(const Value: TTypeBoardScale);
//Ղ̍ݕ\̌^ύX bsNoon:݂Ȃ; bsNoon:12̂Ƃ낾; bsFour:3,6,9,12̂Ƃ낾; bsTwelve:êƂ낾; bsAll:ׂĂ
var
  NewTypeBoardScale: TTypeBoardScale;
begin
  NewTypeBoardScale:= value;
  if FTypeBoardScale <> NewTypeBoardScale then
  begin
    FTypeBoardScale := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeShowHandSecond(const Value: TTypeShowHandSecond);
//bj\̌^ύX@ssShow:bj; ssHide:\
var
  NewTypeShowHandSecond: TTypeShowHandSecond;
begin
  NewTypeShowHandSecond:= value;
  if FTypeShowHandSecond <> NewTypeShowHandSecond then
  begin
    FTypeShowHandSecond := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeShowHandMinute(const Value: TTypeShowHandMinute);
//j\̌^ύX@shmShow:j; shmHide:\
var
  NewTypeShowHandMinute: TTypeShowHandMinute;
begin
  NewTypeShowHandMinute:= value;
  if FTypeShowHandMinute <> NewTypeShowHandMinute then
  begin
    FTypeShowHandMinute := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeShowBoard(const Value: TTypeShowBoard);
//j\̌^ύX@sbShow:Ֆʂ; sbHide:\
var
  NewTypeShowBoard: TTypeShowBoard;
begin
  NewTypeShowBoard:= value;
  if FTypeShowBoard <> NewTypeShowBoard then
  begin
    FTypeShowBoard := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeShowHandHour(const Value: TTypeShowHandHour);
//j\̌^ύX@shhShow:j; shhHide:\
var
  NewTypeShowHandHour: TTypeShowHandHour;
begin
  NewTypeShowHandHour:= value;
  if FTypeShowHandHour <> NewTypeShowHandHour then
  begin
    FTypeShowHandHour := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeDividedColor(const Value: TTypeDividedColor);
//敪Fȟ^ύX@dcYes:; dcNo:Ȃ
var
  NewTypeDividedColor: TTypeDividedColor;
begin
  NewTypeDividedColor:= value;
  if FTypeDividedColor <> NewTypeDividedColor then
  begin
    FTypeDividedColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeHandsShape(const Value: TTypeHandsShape);
//j`̌^ύX nsRound:; nsSharp:
var
  NewTypeHandsShape: TTypeHandsShape;
begin
  NewTypeHandsShape:= value;
  if FTypeHandsShape <> NewTypeHandsShape then
  begin
    FTypeHandsShape := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeHands1BrushStyle(const Value: TBrushStyle);
//jhԂ̌^ύX
var
  NewTypeHands1BrushStyle: TBrushStyle;
begin
  NewTypeHands1BrushStyle:= value;
  if FTypeHands1BrushStyle <> NewTypeHands1BrushStyle then
  begin
    FTypeHands1BrushStyle := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetDiameter(const Value: integer);
// Ղ̒aύX
var
  NewDiameter: Integer;
begin
  NewDiameter := Value;

  // VlO̒lƈقȂȂXVOnChangeCxgN
  if NewDiameter <> FDiameter then
  begin
    FDiameter:= NewDiameter;

    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TWClock.SetTypeOverUnder(const Value: TTypeOverUnder);
//Eb̌ӂ̌^ύX
var
  NewTypeOverUnder: TTypeOverUnder;
begin
  NewTypeOverUnder:= value;
  if FTypeOverUnder <> NewTypeOverUnder then
  begin
    FTypeOverUnder := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand1HourColor(const Value: TColor);
//jP̐FύX
var
  NewHand1HourColor: TColor;
begin
  NewHand1HourColor:= value;
  if FHand1HourColor <> NewHand1HourColor then
  begin
    FHand1HourColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand1HourBorderColor(const Value: TColor);
//jPE̐FύX
var
  NewHand1HourBorderColor: TColor;
begin
  NewHand1HourBorderColor:= value;
  if FHand1HourBorderColor <> NewHand1HourBorderColor then
  begin
    FHand1HourBorderColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand1MinuteColor(const Value: TColor);
//jP̐FύX
var
  NewHand1MinuteColor: TColor;
begin
  NewHand1MinuteColor:= value;
  if FHand1MinuteColor <> NewHand1MinuteColor then
  begin
    FHand1MinuteColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand1MinuteBorderColor(const Value: TColor);
//jP̐FύX
var
  NewHand1MinuteBorderColor: TColor;
begin
  NewHand1MinuteBorderColor:= value;
  if FHand1MinuteBorderColor <> NewHand1MinuteBorderColor then
  begin
    FHand1MinuteBorderColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand1SecondColor(const Value: TColor);
//bjP̐FύX
var
  NewHand1SecondColor: TColor;
begin
  NewHand1SecondColor:= value;
  if FHand1SecondColor <> NewHand1SecondColor then
  begin
    FHand1SecondColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand2HourColor(const Value: TColor);
//jQ̐FύX
var
  NewHand2HourColor: TColor;
begin
  NewHand2HourColor:= value;
  if FHand2HourColor <> NewHand2HourColor then
  begin
    FHand2HourColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand2HourBorderColor(const Value: TColor);
//jQE̐FύX
var
  NewHand2HourBorderColor: TColor;
begin
  NewHand2HourBorderColor:= value;
  if FHand2HourBorderColor <> NewHand2HourBorderColor then
  begin
    FHand2HourBorderColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand2MinuteColor(const Value: TColor);
//jQ̐FύX
var
  NewHand2MinuteColor: TColor;
begin
  NewHand2MinuteColor:= value;
  if FHand2MinuteColor <> NewHand2MinuteColor then
  begin
    FHand2MinuteColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand2MinuteBorderColor(const Value: TColor);
//jQE̐FύX
var
  NewHand2MinuteBorderColor: TColor;
begin
  NewHand2MinuteBorderColor:= value;
  if FHand2MinuteBorderColor <> NewHand2MinuteBorderColor then
  begin
    FHand2MinuteBorderColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetHand2SecondColor(const Value: TColor);
//bjQ̐FύX
var
  NewHand2SecondColor: TColor;
begin
  NewHand2SecondColor:= value;
  if FHand2SecondColor <> NewHand2SecondColor then
  begin
    FHand2SecondColor := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeHands2Show(const Value: TTypeHands2Show);
//jQ\̌^ύX
var
  NewTypeHands2Show: TTypeHands2Show;
begin
  NewTypeHands2Show:= value;
  if FTypeHands2Show <> NewTypeHands2Show then
  begin
    FTypeHands2Show := Value;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetLineWidthHands1(const Value: byte);
// j1̐̕ύX
var
  NewLineWidthHands1: byte;
begin
  NewLineWidthHands1:= Value;
  if FLineWidthHands1 <> NewLineWidthHands1 then
  begin
    FLineWidthHands1:= NewLineWidthHands1;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetLineWidthHands2(const Value: byte);
// j2̐̕ύX
var
  NewLineWidthHands2: byte;
begin
  NewLineWidthHands2:= Value;
  if FLineWidthHands2 <> NewLineWidthHands2 then
  begin
    FLineWidthHands2:= NewLineWidthHands2;

    Invalidate;
    Change;
  end;
end;

procedure TWClock.SetTypeHands2BrushStyle(const Value: TBrushStyle);
//jQBrusȟ^ύX
var
  NewTypeHands2BrushStyle: TBrushStyle;
begin
  NewTypeHands2BrushStyle:= value;
  if FTypeHands2BrushStyle <> NewTypeHands2BrushStyle then
  begin
    FTypeHands2BrushStyle := Value;

    Invalidate;
    Change;
  end;
end;

end.

